MixedLinearCubic Class Reference

mixed linear/cubic interpolation factory and traits More...

`#include <ql/math/interpolations/mixedinterpolation.hpp>`

## Public Member Functions

| MixedLinearCubic (Size n, CubicInterpolation::DerivativeApprox da, bool monotonic=true, CubicInterpolation::BoundaryCondition leftCondition=CubicInterpolation::SecondDerivative, Real leftConditionValue=0.0, CubicInterpolation::BoundaryCondition rightCondition=CubicInterpolation::SecondDerivative, Real rightConditionValue=0.0)
template<class I1 , class I2 >
Interpolation | interpolate (const I1 &xBegin, const I1 &xEnd, const I2 &yBegin) const

## Static Public Attributes

static const bool | global = true
static const Size | requiredPoints = 3

## Detailed Description

mixed linear/cubic interpolation factory and traits